new Vue({
	el: "#fillin",
	data() {
		return {
			getcode: '获取验证码',
			baseUrl: '',
			token: '',
			randNum: 1,
			codeSrc: '',
			cangetCode: true,
			isCheck: false,
			isShowAgreement: false,
			params: {
				wechat_id: '',
				imageCode: '',
				phone: '',
				phoneSmsCaptcha: '',
				areaInfo: '',
				region: ''
			},
			interval: null,
			loopTime: 0
		};
	},

	computed: {
		// 平台名称
		platformName() {
			var allUrl = window.location.href
			if (allUrl.indexOf('jixiang') > 0) {
				return '吉祥';
			} else if (allUrl.indexOf('xinyue') > 0) {
				return '心悦';
			}
			return '';
		}
	},

	mounted() {
		this.$messagebox({
			title: "提示",
			message: '已停止注册分销商'
		}).then(res1 => {
			console.log(res1)
		})
		this.changeCode()
	},
	methods: {
		// 图片验证码
		changeCode() {
			var _this = this
			getAjax('/api/buy/captcha', 'post', {}, function (res) {
				console.log(res)
				_this.codeSrc = res.data
			})
		},

		showAgreement() {
			this.isShowAgreement = false
		},

		// 阅读完确定
		sureAgree() {
			this.isCheck = true;
			this.isShowAgreement = true;
		},
		// 阅读完 取消
		cancleAgree() {
			this.isCheck = false;
			this.isShowAgreement = true;
		},

		// 获取验证码
		getCode() {
			var _this = this
			if (!this.cangetCode) {
				return;
			}
			_this.cangetCode = false;
			if (!(/^1[3456789]\d{9}$/.test(_this.params.phone))) {
				_this.$messagebox({
					title: "提示",
					message: '手机号格式不正确'
				}).then(res1 => {
					console.log(res1)
				})
				_this.cangetCode = true;
				return false
			}
			if (this.params.imageCode.indexOf(" ") > 0) {
				_this.$messagebox({
					title: "提示",
					message: '验证码含有空格'
				}).then(res1 => {
					console.log(res1)
				})
				_this.cangetCode = true;
				return false
			}
			getAjax('/api/buy/phonesms', 'post', {
				code: this.params.imageCode,
				phone: _this.params.phone
			}, function (res) {
				console.log(res)
				_this.interval = 60 //res.interval;
				let handler = setInterval(() => {
					_this.interval--;
					_this.getcode = _this.interval + 's';
					if (_this.interval == 0) {
						clearInterval(handler);
						_this.getcode = '获取验证码';
						_this.cangetCode = true;
					}
				}, 1000)
			}, true, function (res) {
				_this.cangetCode = true;
			})
		},

		getLocation(hand) {
			var _this = this
			if (is_wexin()) {
				var domain = window.location.host
				var url = window.location.href //.split('://')[0] + '://'+domain
				var data = {
					url: url
				}
				getAjax('/api/buy/signpackage', 'post', data, function (res) {
					if (res.data.sign == "") {
						_this.showLocation(0, 0);
					}
					var cig = {
						appId: res.data.app_id,
						beta: false,
						debug: false,
						jsApiList: ["checkJsApi", "openLocation", "getLocation"],
						nonceStr: res.data.nonceStr,
						signature: res.data.sign,
						timestamp: res.data.timestamp,
						url: url
					}
					wx.config(cig);
					wx.ready(function () {
						wx.getLocation({
							type: 'wgs84',
							success: function (res) {
								_this.showLocation(res.longitude, res.latitude);
							},
							complete: function (res) {
								console.log(res)
							},
							cancel: function (res) {
								_this.cancleLocation();
							},
							fail: function (err) {
								console.log(res)
								_this.showLocation(0, 0);
							}
						});
					});
				})
			} else {
				_this.showLocation(0, 0);
			}
			//var domain = window.location.host

		},

		showLocation(lon, lat) {
			var _this = this
			var param = {
				longitude: lon, // 经度
				latitude: lat // 维度
			}
			getAjax('/api/getregion', 'post', param, function (res) {
				console.log(res)
				_this.params.areaInfo = res.data.region_name;
				_this.params.region = res.data.region;
			}, false, function () {
				_this.cancleLocation()
			})
		},

		cancleLocation() {

			this.$messagebox.alert('地址获取失败，无法注册！请查看定位功能是否开启！').then(action => {
				/* this.api.delCookie('token');
				this.$router.push('/login'); */
			});
		},

		submitForm() {

			this.$messagebox({
				title: "提示",
				message: '已停止注册分销商'
			}).then(res1 => {
				console.log(res1)
			})
			return
			var _this = this
			let params = {
				wechat_id: _this.params.wechat_id,
				phone: _this.params.phone,
				phoneSmsCaptcha: _this.params.phoneSmsCaptcha,
				region2: _this.params.region,
			}
			if (params.wechat_id == '') {
				_this.$messagebox({
					title: "提示",
					message: '微信号不能为空'
				}).then(res1 => {
					console.log(res1)
				})
				return false
			}
			if (_this.params.imageCode == '' || _this.params.imageCode.length != 4) {
				_this.$messagebox({
					title: "提示",
					message: '图片验证码不能为空且位数为4位'
				}).then(res1 => {
					console.log(res1)
				})
				return false
			}
			if (params.phone == '') {
				_this.$messagebox({
					title: "提示",
					message: '手机号不能为空'
				}).then(res1 => {
					console.log(res1)
				})
				return false
			}

			if (params.phoneSmsCaptcha == '' || params.phoneSmsCaptcha.length != 4) {
				_this.$messagebox({
					title: "提示",
					message: '手机验证码不能为空且位数为4位'
				}).then(res1 => {
					console.log(res1)
				})
				return false
			}

			if (params.region2 == '') {
				_this.$messagebox({
					title: "提示",
					message: '请选择服务地区'
				}).then(res1 => {
					console.log(res1)
				})
				return false
			}

			if (!_this.isCheck && _this.platformName === '吉祥') {
				_this.$messagebox({
					title: "提示",
					message: '您需先阅读分销商合作协议和隐私保护政策并同意'
				}).then(res1 => {
					console.log(res1)
				})
				return false
			}

			getAjax('/api/buy/setuserinfo', 'post', params, function (res) {
				if (!is_wexin()) {
					window.location.href = 'pay.html?token=' + getToken()
				} else {
					window.location.href = 'home.html'
				}
			}, true)
		}
	}
})